PQCObjectIdentifiers (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.pqc.asn1

## Interface PQCObjectIdentifiers

-     public interface PQCObjectIdentifiers

  PQC:

  { iso(1) identifier-organization(3) dod(6) internet(1) private(4) 1 8301 3 1 3 5 3 ... }

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `gmss` 1.3.6.1.4.1.8301.3.1.3.3
    `static ASN1ObjectIdentifier` | `gmssWithSha1` 1.3.6.1.4.1.8301.3.1.3.3.1
    `static ASN1ObjectIdentifier` | `gmssWithSha224` 1.3.6.1.4.1.8301.3.1.3.3.2
    `static ASN1ObjectIdentifier` | `gmssWithSha256` 1.3.6.1.4.1.8301.3.1.3.3.3
    `static ASN1ObjectIdentifier` | `gmssWithSha384` 1.3.6.1.4.1.8301.3.1.3.3.4
    `static ASN1ObjectIdentifier` | `gmssWithSha512` 1.3.6.1.4.1.8301.3.1.3.3.5
    `static ASN1ObjectIdentifier` | `mcEliece` 1.3.6.1.4.1.8301.3.1.3.4.1
    `static ASN1ObjectIdentifier` | `mcElieceCca2` 1.3.6.1.4.1.8301.3.1.3.4.2
    `static ASN1ObjectIdentifier` | `rainbow` 1.3.6.1.4.1.8301.3.1.3.5.3.2
    `static ASN1ObjectIdentifier` | `rainbowWithSha1` 1.3.6.1.4.1.8301.3.1.3.5.3.2.1
    `static ASN1ObjectIdentifier` | `rainbowWithSha224` 1.3.6.1.4.1.8301.3.1.3.5.3.2.2
    `static ASN1ObjectIdentifier` | `rainbowWithSha256` 1.3.6.1.4.1.8301.3.1.3.5.3.2.3
    `static ASN1ObjectIdentifier` | `rainbowWithSha384` 1.3.6.1.4.1.8301.3.1.3.5.3.2.4
    `static ASN1ObjectIdentifier` | `rainbowWithSha512` 1.3.6.1.4.1.8301.3.1.3.5.3.2.5

- - ### Field Detail

    - #### rainbow

          static final ASN1ObjectIdentifier rainbow

      1.3.6.1.4.1.8301.3.1.3.5.3.2

    - #### rainbowWithSha1

          static final ASN1ObjectIdentifier rainbowWithSha1

      1.3.6.1.4.1.8301.3.1.3.5.3.2.1

    - #### rainbowWithSha224

          static final ASN1ObjectIdentifier rainbowWithSha224

      1.3.6.1.4.1.8301.3.1.3.5.3.2.2

    - #### rainbowWithSha256

          static final ASN1ObjectIdentifier rainbowWithSha256

      1.3.6.1.4.1.8301.3.1.3.5.3.2.3

    - #### rainbowWithSha384

          static final ASN1ObjectIdentifier rainbowWithSha384

      1.3.6.1.4.1.8301.3.1.3.5.3.2.4

    - #### rainbowWithSha512

          static final ASN1ObjectIdentifier rainbowWithSha512

      1.3.6.1.4.1.8301.3.1.3.5.3.2.5

    - #### gmss

          static final ASN1ObjectIdentifier gmss

      1.3.6.1.4.1.8301.3.1.3.3

    - #### gmssWithSha1

          static final ASN1ObjectIdentifier gmssWithSha1

      1.3.6.1.4.1.8301.3.1.3.3.1

    - #### gmssWithSha224

          static final ASN1ObjectIdentifier gmssWithSha224

      1.3.6.1.4.1.8301.3.1.3.3.2

    - #### gmssWithSha256

          static final ASN1ObjectIdentifier gmssWithSha256

      1.3.6.1.4.1.8301.3.1.3.3.3

    - #### gmssWithSha384

          static final ASN1ObjectIdentifier gmssWithSha384

      1.3.6.1.4.1.8301.3.1.3.3.4

    - #### gmssWithSha512

          static final ASN1ObjectIdentifier gmssWithSha512

      1.3.6.1.4.1.8301.3.1.3.3.5

    - #### mcEliece

          static final ASN1ObjectIdentifier mcEliece

      1.3.6.1.4.1.8301.3.1.3.4.1

    - #### mcElieceCca2

          static final ASN1ObjectIdentifier mcElieceCca2

      1.3.6.1.4.1.8301.3.1.3.4.2